Summary:	OPIE suite of programs
Summary(pl.UTF-8):	Zestaw programów do OPIE
Name:		opie
Version:	2.4
Release:	15
Epoch:		1
License:	NRL/TIN
Group:		Applications/System
Source0:	http://inner.net/pub/opie/%{name}-%{version}.tar.gz
# Source0-md5:	d46e0ff8cc721a287892192dc4e7b7e1
Patch0:		%{name}-makefile.patch
Patch1:		%{name}-ttyname.patch
Patch2:		%{name}-bison.patch
Patch3:		%{name}-acfix.patch
Patch4:		%{name}-errno.patch
Patch5:		%{name}-suse.patch
Patch6:		%{name}-uint4.patch
Patch7:		%{name}-getline.patch
Patch8:		format-security.patch
URL:		http://inner.net/opie
BuildRequires:	autoconf >= 2.52
BuildRequires:	bison
Requires:	%{name}-libs = %{epoch}:%{version}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The OPIE suite of programs.

OPIE is an implementation of the One-Time Password (OTP) System that
is being considered for the Internet standards-track. OPIE provides a
one-time password system. The system should be secure against the
passive attacks now commonplace on the Internet (see RFC 1704 for more
details). The system is vulnerable to active dictionary attacks,
though these are not widespread at present and can be detected through
proper use of system audit software.

%description -l pl.UTF-8
Zestaw programów do OPIE.

OPIE jest implementacją One-Time Password (OTP) System - systemu haseł
jednorazowych. Powinien on być odporny na popularne w Internecie ataki
pasywne (zobacz RFC 1704). Jest on podatny na ataki słownikowe, które
nie są aktualnie szeroko rozpowszechnione.

%package libs
Summary:	OPIE shared libraries
Summary(pl.UTF-8):	Biblioteki współdzielone OPIE
Group:		Libraries
Conflicts:	%{name} < 2.4-2

%description libs
OPIE (One-Time Password System) shared libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone OPIE (systemu haseł jednorazowych).

%package devel
Summary:	Headers for developing OPIE enabled programs
Summary(pl.UTF-8):	Nagłówki do tworzenia programów z obsługą OPIE
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}
Requires:	filesystem >= 3.0-11

%description devel
Headers for developing OPIE enabled programs.

%description devel -l pl.UTF-8
Pliki nagłówkowe potrzebne do tworzenia programów z obsługą OPIE.

%package static
Summary:	OPIE static libraries
Summary(pl.UTF-8):	Statyczne biblioteki OPIE
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}

%description static
OPIE staic libraries.

%description static -l pl.UTF-8
Statyczne biblioteki OPIE.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p0
%patch7 -p1
%patch8 -p1

%build
%{__autoconf}
%configure \
	--enable-access-file=%{_sysconfdir}/opie/access \
	--enable-user-locking=/var/lib/opie \
	--enable-insecure-override

%{__make} DEBUG="%{rpmcflags} " \
	KEY_FILE=%{_sysconfdir}/opie/keys

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/opie,%{_sbindir},%{_libdir},%{_includedir}/security,/var/lib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	KEY_FILE=%{_sysconfdir}/opie/keys

install opie.h $RPM_BUILD_ROOT%{_includedir}/security
ln -sf libopie.so.2.4 $RPM_BUILD_ROOT%{_libdir}/libopie.so.2

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/opieinfo
%attr(755,root,root) %{_bindir}/opiekey
%attr(755,root,root) %{_bindir}/otp-md4
%attr(755,root,root) %{_bindir}/otp-md5
%attr(4755,root,root) %{_bindir}/opiepasswd
%attr(4755,root,root) %{_sbindir}/opiesu
%attr(4755,root,root) %{_sbindir}/opielogin
%attr(750,root,root) %{_sbindir}/opieftpd
%dir %attr(700,root,root) /var/lib/opie
%{_mandir}/man1/opiegen.1*
%{_mandir}/man1/opieinfo.1*
%{_mandir}/man1/opiekey.1*
%{_mandir}/man1/opielogin.1*
%{_mandir}/man1/opiepasswd.1*
%{_mandir}/man1/opieserv.1*
%{_mandir}/man1/opiesu.1*
%{_mandir}/man1/otp-md4.1*
%{_mandir}/man1/otp-md5.1*
%{_mandir}/man4/opie.4*
%{_mandir}/man5/opieaccess.5*
%{_mandir}/man8/opieftpd.8*

%files libs
%defattr(644,root,root,755)
%doc BUG-REPORT README COPYRIGHT.NRL License.TIN
%attr(755,root,root) %{_libdir}/libopie.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libopie.so.2
%dir %{_sysconfdir}/opie
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/opie/keys
%{_mandir}/man5/opiekeys.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libopie.so
%{_includedir}/security/opie.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libopie.a
%changelog
* Thu Feb 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/opie.git;a=log;h=master

* Thu Feb 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 25114a6
- rel 15; rediff patches

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> cf960c3
- Release 14 (by relup.sh)

* Sat Jan 18 2014 Jakub Bogusz <qboosh@pld-linux.org> b751377
- verbose lib, man files

* Mon Jan 13 2014 Witold Filipczyk <witekfl@poczta.onet.pl> a31d8df
- added format-security.patch
- ghost soname symlink
- rel 13

* Mon Jan 13 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 1c71b59
- compilation fix

* Thu Aug 27 2009 tommat <tommat@pld-linux.org> 6c56f7d
- getline patch - rename internal getline function to avoid conflict from stdio.h

* Wed Sep 05 2007 Jan Rękorajski <baggins@pld-linux.org> e0d55db
- rel 12

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 8af0fc1
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8d44f1f
- converted to UTF-8

* Fri Oct 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 0bbe019
- updated dep for /usr/include/security (FHS -> filesystem); release 11

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 2d42772
- avoid defining default %attr

* Sat Jul 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 810db8c
- updated acfix patch to build with autoconf 2.60, release 10

* Sat Jul 01 2006 Jakub Bogusz <qboosh@pld-linux.org> 6f77f0b
- one more for autoconf 2.60

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 36f18ee
- adapterized (sorted %verify attrs)

* Sun Jan 23 2005 nail2k <nail2k@pld-linux.org> a5e38bd
- Release: 9
- file permission fix; URL fix
- added configure option

* Sat Sep 25 2004 radek <radek@pld-linux.org> 9165d96
- cosmetics (spaces -> tabs)

* Thu Jan 29 2004 Jacek Konieczny <jajcus@pld-linux.org> b035c15
- Release: 8

* Fri Dec 19 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> 9004413
- audit patches from suse

* Fri Dec 19 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> dfd1aa8
- new

* Thu Nov 13 2003 Jakub Bogusz <qboosh@pld-linux.org> 69d4d76
- updated acfix patch for ac 2.58; release 7

